
Redmine - Defect #3480

Bot filter plugin crashes when missing useragent

2009-06-11 08:50 - Brad Schick

Status: Closed Start date: 2009-06-11

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Using the BotsFilterPlugin, I noticed exceptions when there was no useragent in a request. I applied the following patch to fix this.

Note that this patch blocks requests with missing useragents as if they were bots.

History

#1 - 2010-06-03 17:09 - Jérémy Lal

- Assignee changed from Eric Davis to Jean-Philippe Lang

I confirm that bug,

which BTW breaks rake tests.

Assigning to JP Lang since he's the one releasing botsfilter plugin.

Regards.

#2 - 2010-06-18 00:36 - Jérémy Lal

- File allow_empty_user_agent.patch added

it's best to not filter requests if user_agent is blank.

See attached patch.

#3 - 2013-05-02 03:11 - Jean-Baptiste Barth

- Category deleted (Plugin API)

- Status changed from New to Closed

- Assignee deleted (Jean-Philippe Lang)

Closing this issue: very old + it is about a specific plugin, the current policy is to report issues in the dedicated bug tracker of each plugin.

Files

bot_filter.patch 460 Bytes 2009-06-11 Brad Schick

allow_empty_user_agent.patch 477 Bytes 2010-06-17 Jérémy Lal
